var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
function parseUrlData(url) {
    return {};
}
var activate = function (targetElement, controller) {
    var urlData = parseUrlData(targetElement.href);
    controller.activate(__assign({}, urlData, { targetElement: targetElement }));
};
function applyTriggerElementWatch(elements, eventType, controller) {
    elements.forEach(function (element) {
        if (element.dataset.attached !== 'true') {
            if (eventType === 'load') {
                activate(element, controller);
            }
            else {
                element.addEventListener(eventType, function (event) {
                    event.preventDefault();
                    activate(event.target, controller);
                });
            }
            element.dataset.monitored = 'true'; // eslint-disable-line no-param-reassign
        }
    });
}
/**
 * When implemented by default embed script a TriggerLinkMonitor service is available on the
 * container. It keeps track of all triggerElements for a particular widget and dispatches
 * events if the array is modified. This utility uses that array to attach event listeners to
 * handle widget activation.
 * @param {object} instance The widget type instance.
 * @param {string} eventType The event type for which the activation should be done.
 */
export default function supportTriggerLinks(instance, eventType) {
    if (eventType === void 0) { eventType = 'load'; }
    var monitor = instance.container.get('triggerLinkMonitor');
    if (monitor) {
        monitor.events.subscribe('trigger-elements-updated', function (event, data) {
            applyTriggerElementWatch(data.triggerElements, eventType, instance.controller);
        });
    }
}
//# sourceMappingURL=support-trigger-links.js.map