"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function parseWidgetName(url, bindings) {
    return new RegExp("//(\\w|-)+(" + bindings.join('|') + ")((\\w|-)+)", 'g').exec(url)[3];
}
function queryPreRenderedTargets(root, bindings) {
    return Array.from(root.querySelectorAll('div[id^="humany_"]'))
        .map(function (element) {
        var widgetName = element.id.substr(7);
        return { widgetName: widgetName, element: element };
    });
}
exports.queryPreRenderedTargets = queryPreRenderedTargets;
function queryLinkTargets(root, bindings) {
    var regex = new RegExp("(http:|https:)?//(" + bindings.join('|') + ")");
    return Array.from(root.querySelectorAll('a'))
        .filter(function (element) { return element.href && regex.test(element.href); })
        .map(function (element) {
        var widgetName = element.id.substr(7);
        return { widgetName: widgetName, element: element };
    });
}
exports.queryLinkTargets = queryLinkTargets;
//# sourceMappingURL=target-queries.js.map